%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Author: Maximilian Vogler                                               %
% Name: Create_Fig2.m                                                     %
% Date: 03/12/2021                                                        %
% Purpose: Plots Fig2(a), Fig2(b).                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Housekeeping
clear;
close all;
clc

addpath('Results/Plot_Data');
set(0,'DefaultLegendAutoUpdate','off')

%% Load and store data
load('Figure2_Data_rho')
welfare_rho = welfare;

load('Figure2_Data_tau')
welfare_tau = welfare;

%% Plot graphs

% Figure 2(a)
figure(1)
hold on
bar(rho_vec,welfare_rho)
xlabel('$\varrho$','interpreter','latex','fontsize',20)
set(gca,'FontSize',16)
lgd = legend('Home Welfare','Foreign Welfare');
set(lgd,'box','off','location','northwest','interpreter','latex','fontsize',20)
ylim([-0.6, 1.6])
set(gca,'ytick',-0.5:0.5:1.5)
ax = gca;
ax.YAxis.TickLabelFormat = '%g%%';
saveas(gcf,'Results/Graphs/Fig2a','epsc')

% Figure 2(b)
figure(2)
hold on
bar(tau_vec,welfare_tau)
xlabel('$\tau$','interpreter','latex','fontsize',20)
set(gca, 'xtick', tau_vec)
set(gca,'FontSize',16)
lgd = legend('Home Welfare','Foreign Welfare');
set(lgd,'box','off','location','northeast','interpreter','latex','fontsize',20)
ylim([-0.13, 0.31])
set(gca,'ytick',-0.1:0.1:0.3)
ax = gca;
ax.YAxis.TickLabelFormat = '%g%%';
saveas(gcf,'Results/Graphs/Fig2b','epsc')

