%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Author: Maximilian Vogler                                               %
% Name: Create_Fig3.m                                                     %
% Date: 03/24/2021                                                        %
% Purpose: Plots Fig3                                                     %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Housekeeping
clear;
close all;
clc

addpath('Results/Data');
set(0,'DefaultLegendAutoUpdate','off')

%% Load and store data

share = zeros(12,3);

load('Fig3_0','merger_share');
shares(:,1) = merger_share;
clear merger_share;

load('Fig3_L','merger_share');
shares(:,2) = merger_share;
clear merger_share;

load('Fig3_inf','merger_share','tau_vec');
shares(:,3) = merger_share;
clear merger_share;

%% Plot

% Figure 3
figure(1)
plot(tau_vec, shares,'o--','linewidth',2,'MarkerSize',10,'MarkerFaceColor','auto')
xlabel('Trade costs $\tau$','interpreter','latex','fontsize',20)
ylabel('Share of sectors merging','interpreter','latex','fontsize',20)
set(gca,'FontSize',16)
lgd = legend('$\lambda = 0$','$\lambda = L^*/L$','$\lambda = \infty$','interpreter','latex','fontsize',20');
set(lgd,'box','off','location','northwest','interpreter','latex','fontsize',20)
saveas(gcf,'Results/Graphs/Fig3','epsc')
